
.table-item{
	font-size:12px;
}
.table-item tr td{
	position:relative;
}

div {
	box-sizing: border-box;
}
.table-container {
	display: block;
	width: 100%;
	max-width: 100%;
}


.flex-table {
	display: -webkit-box;
	display: flex;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: normal;
	flex-flow: row wrap;
	border-left: solid 1px #444;
	-webkit-transition: 0.5s;
	transition: 0.5s;
}
.flex-table:first-of-type {

}
.flex-table:first-of-type .flex-row {
	color: white;
}
.flex-row {
	text-align: center;
	height:40px;
	padding-top:12px;
	border-right: solid 1px #444;
	border-bottom: solid 1px #444;
}
.top{
	padding-top:0px;
	height:50px;
}
.group{
	height:auto;
}


.desc-entry-container{
	flex-grow: 1;
	display: table;
	overflow-y: scroll;
	height: 40px;
	position: relative;
}
.desc-entry-div{
	outline: none;
	text-align: left;
	vertical-align: middle;
	padding-left: 3px;
	display: table-cell;
	background: #333;
	color: #eee;
	border: 0px;
	height: 43px;
	max-height: 43px;
	overflow: scroll;
	position: absolute;
	top: 0px;bottom: 0px;
	width:99%;
}

.zone-name-cell{
	width:200px;
}
.one-of-twenty-five {
	width: calc(100% * 1/25);
}
.two-of-twenty-five {
	width: calc(100% * 3.3/25);
}
.three-of-twenty-five-hours {
	width: 20px;
}
.three-of-twenty-five {
	width: 310px;
}
.eight-of-twenty-five {
	width: calc(100% * 8/25);
}
.ten-of-twenty-five {
	width: calc(100% * 10/25);
}
.transparent{
	background:transparent;
}
.short{
	padding:4px;
}
.hidden{
	display:none
}
.clock-choice{
	float:left;
	text-align:center;
	padding:20px;
	width:185px;
	border:1px solid #555;
	background:#666;
}
.irr-button {
	display: block;
	padding: 10px 4px;
	border-radius: 4px;
	width: 90%;
	text-align: center;
	margin: auto;
	border: 0px solid #bbb;

	cursor: pointer;
	color:lightgreen;
}
.clear-button{
	background:transparent;

	border:0px;
	padding:5px 20px;
	border-radius:4px;
	outline:none;

}

.invis{
	color:#333;
}
.head-item{
	padding:3px 20px !important;
}
.table-item tr td,.table-item tr th{
	width:inherit;
}

.new-zone{
	background:#666;
}
.content-area{
	display:flex;
}
.property-list{
	width:204px;
}
.detail-area{
	flex-grow:1;
}
.big-padding{
	padding:10px;
	width:100px;
}
.picked{

	background:#062406 !important;
}
.fill{
	position:absolute;
	top:0px;
	right:0px;
	left:0px;
	bottom:0px;
}
.fill div{
	height:calc(100% - 1px);
	width:calc(100% - 1px);
}
.pad{
	margin: auto;
}
.cent{
	margin:auto;
	padding-top:11px;
	height: 22px !important;
}
.main-bg{
	background:#333;
}
.apply-button{
	padding:14px 15px;

	margin:auto;
	text-align:center;
	border-right:1px solid #666;

}
.apply-button:nth-child(1){
	border:0px;

}
.clock-pick{
	padding:10px;
	border-radius:3px;
	border:1px solid #bbb;
	color:#eee;
	margin:5px;
}
.data-set{
	background:lightslategray;
	color:#fff !important;
}

.flexer-row:nth-child(even){
	background:#393939;
}
.grow1{
	flex-grow:1;
}
.grow2{
	flex-grow:2;
}
.grow3{
	flex-grow:3;
}
.grow5{
	flex-grow:5;
}
.pad20{
	padding:20px;
}
.label{
	width:135px;
}
.small-label{
	width:90px;
}

.small-pad{
	padding:12px 10px;
}
.tiny-pad{
	padding:4px 10px;
}
.select-pad{
	padding:3px 0px;
}
.plan-row-1{
	background:#3b3b3b;
}
.left-border{
	border-left:1px solid #666;
}
.day-item{
	padding:9px;
	font-size:16px;
	width:40px;
	text-align:center;
	cursor:pointer;

	margin-right:4px;
}
.day-on{
	background:#666;
	color:#000;
	border: 1px solid darkgreen;
}
.day-off{
	background:transparent;
	color:#777;
}
.ui-corner-all {
	border-radius: 0px !important;
}
.ui-widget-content{
	background:transparent;
	border:0px;
}
.ui-widget-header{
	background:#444;
	border:0px;
	color:#bbb;
}
.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active {
	border: 0px solid #555;
	background: #777 !important	 ;
	font-weight: normal;
	color: #bbb;
}
.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
	border: 0px solid #777;
	background: #464646 ;
	font-weight: normal;
	color: #bbb;
}
.round-edge{


}
.zone-area input{
	width:100px;

	border:0px;
	padding:0px;
	margin:0px;
	color:#fff;
}
.zone-area input:disabled{

}